(in-package :araneida)

;;; when moving resources around, it's important not to break old URLs

(defclass redirect-handler (handler)
  ((location :initarg :location :accessor redirect-location)))

(defmethod handle-request-response ((handler redirect-handler) method request)
  (let* ((handled-by (request-handled-by request))
	 (offset (or (second (first handled-by)) 0))
	 (urlstring (request-urlstring request))
	 (rest-of-url (subseq urlstring offset)))
    (request-redirect
     request (merge-url (redirect-location handler) rest-of-url)))
  t)

#|

(install-handler *root-handler* (make-instance 'redirect-handler :location (parse-urlstring "http://www.cliki.net/")) "http://ww.noetbook.telent.net/cliki" nil)

|#
